Bug 2900 - Keys "Home" & "End" are incorrectly fulfilled in Konsole
: Keys "Home" & "End" are incorrectly fulfilled in Konsole
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdebase-wm)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-08-29 18:54 by
Modified: 2005-11-08 18:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-29 18:54:01
Keys "Home" & "End" are incorrectly fulfilled in Konsole.
The problem is noticed with the program tin.
Reaction of the program to these keys same, as at Shift+H, Shift+F.

kdebase-wm-3.1.3-alt3

With the previous version all was normal.
------- Comment #1 From 2003-11-17 14:45:20 -------
fixed in kdebase-3.1.4-alt6 
------- Comment #2 From 2003-11-17 16:09:50 -------
All normally works.
------- Comment #3 From 2004-03-24 17:31:41 -------
kdebase-wm-3.2.1-alt4 опять та же ситуация с клавишами.
------- Comment #4 From 2004-04-21 21:58:25 -------
fixed in kdebase-3.2.2-alt3 
------- Comment #5 From 2004-10-13 07:14:20 -------
kdebase-wm-3.3.1-alt1

Клавиши опять не работают правильно.
------- Comment #6 From 2004-10-13 10:29:03 -------
Ой! 
Мне показалось, что исправилось. 
 
------- Comment #7 From 2004-10-13 10:42:55 -------
Судя по истории, этот баг постоянно вылазить при смене версий 3.x -> 3.y

И обязательно тогда, когда про него уже порядком забыть успеваешь.
------- Comment #8 From 2004-10-14 13:00:56 -------
Попробуйте в настройках сессий повключать раскладку "XTerm (XFree 3.x.x)" 
------- Comment #9 From 2004-10-14 13:34:00 -------
При смене раскладки проблема исчезла.
------- Comment #10 From 2004-11-18 21:28:56 -------
Подтверждаю. alt4.1. Смена раскладки тоже помогает.
------- Comment #11 From 2004-11-18 22:03:34 -------
ЗЫ. Еще не пашет Ctrl-PgUp в mc, смена раскладки _не_ помогает.
------- Comment #12 From 2004-11-19 10:47:11 -------
Да, при смене раскладки на (XFree 3.x.x) перестают работать некоторые
комбинации
в mc. К примеру Shift+F2 (F15 - вставка из файла)
------- Comment #13 From 2005-04-03 19:56:32 -------
Да, это проблема возникает именно при выборе режима терминала XFree 3.x.x. 
Но так как раньше работало с этими же настройками, получается, что это 
периодически ломается именно для режима XFree 3.x.x, т.к. у меня стоит XFree 
4.x.x и проблем не замечено. 
------- Comment #14 From 2005-04-05 19:13:43 -------
(In reply to comment #13)

Бррр... Вы ничего не путаете? Вот только что проверил - в konsole при выбраной
раскладке XFree 4.x.x клавиши PgUp, PgDown, Home, End не работают.
------- Comment #15 From 2005-04-07 22:56:48 -------
3.3.2-alt3, 3.4.0-alt1 - все по-прежнему :(
------- Comment #16 From 2005-08-10 16:17:43 -------
в kdebase >= 3.4.1-alt2 приложил навороченный патч из FC 
------- Comment #17 From 2005-09-01 12:00:50 -------
При схеме "XTerm (XFree 3.x.x)" 
не работают комбинации Alt-Fx. С 4.x.x - всё работает. Так и должно быть? 
------- Comment #18 From 2005-09-01 14:12:16 -------
(In reply to comment #17) 
> При схеме "XTerm (XFree 3.x.x)"  
> не работают комбинации Alt-Fx. С 4.x.x - всё работает. Так и должно быть?  
4.x.x по-умолчанию 
------- Comment #19 From 2005-09-02 15:55:17 -------
Да, по умолчанию всё нормально. 
------- Comment #20 From 2005-11-03 06:48:15 -------
То ли лыжи не едут, то ли что, но 3.4.1-alt10 все еще не работает.
------- Comment #21 From 2005-11-03 17:11:37 -------
(In reply to comment #20) 
> То ли лыжи не едут, то ли что, но 3.4.1-alt10 все еще не работает. 
У нового пользователя? 
 
 
------- Comment #22 From 2005-11-03 17:32:20 -------
У старого ;) Но с удаленным .kde/
Может, еще что-нибудь удалить?
------- Comment #23 From 2005-11-07 12:41:40 -------
(In reply to comment #22) 
> У старого ;) Но с удаленным .kde/ 
> Может, еще что-нибудь удалить? 
Не знаю, может правда, лыжи не едут? 
Как воспроизвести? 
 
------- Comment #24 From 2005-11-07 21:18:00 -------
(In reply to comment #23)
> Как воспроизвести? 
Создаем нового юзера. Запускаем KDE. Открываем konsole. Запускаем man man и 
жмем End.
Меняем раскладку на Xfree 3.x - работает.

cat при Xfree 4.x показывает ^[[H и ^[[F, при 3.х - ^[[1~ и ^[[4~

------- Comment #25 From 2005-11-08 00:21:58 -------
У меня нормально  
------- Comment #26 From 2005-11-08 07:06:41 -------
(In reply to comment #25)
> У меня нормально  
Что cat показывает?
------- Comment #27 From 2005-11-08 13:36:15 -------
(In reply to comment #26) 
> (In reply to comment #25) 
> > У меня нормально   
> Что cat показывает? 
>  
Точно так же: (для 4.4 и 4.3 соответственно) 
^[[H^[[F 
^[[1~^[[4~ 
 
 
------- Comment #28 From 2005-11-08 18:09:35 -------
И почему я так и думал...

Т.е. проблема не в konsole. Тогда в чем, интересно?